package door

import (
	"reflect"
	"testing"
)

func TestBoxUnicode(t *testing.T) {
	// verify that the BOXES_CP437 matches BOXES_UNICODE
	for idx, bs := range BOXES_CP437 {

		fields := reflect.VisibleFields(reflect.TypeOf(bs))
		bs_value := reflect.ValueOf(bs)
		u_value := reflect.ValueOf(BOXES_UNICODE[idx])

		for _, sf := range fields {
			name := sf.Name
			// cp437 := reflect.ValueOf(bs).FieldByName(name).String()
			cp437 := bs_value.FieldByName(name).String()
			convert := CP437_to_Unicode(cp437)
			// unicode := reflect.ValueOf(BOXES_UNICODE[idx]).FieldByName(name).String()
			unicode := u_value.FieldByName(name).String()
			if convert != unicode {
				t.Errorf("BOXES %s [%d]: %#v != %#v\n", name, idx, convert, unicode)
			}
			// t.Fatalf("Name: %s, v: %s\n", name, cp437)
		}
	}
}
